Subject: Re: bug#74616: 30.0.92; tmm always displays the *Completions* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2024 14:55:14 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Daniel Mendler <[email-masked]>,  [email-masked]
> Date: Sat, 30 Nov 2024 13:55:02 -0500
> 
> > I think the automatic detection is a better default behavior, but
> > maybe we could have a variable (not necessarily a defcustom) for users
> > who would like to have the old behavior.
> > Stefan, WDYT?
> 
> I often use the standard UI and I generally don't like this eagerness to
> display *Completions*, so I'd either change the code not to auto-display
> the buffer (what I have done locally) or at least offer a variable
> for that.
> 
> So it seems like the var should have 3 settings: always show, never
> show, and "guess" (tho maybe we can skip the "guess" option and let the
> other completion UIs set the var to nil).

Daniel, would you like to submit the patch with these changes?